import { useLocation } from 'preact-iso';
import * as NavigationMenu from '@radix-ui/react-navigation-menu';
import classNames from 'classnames';
import { Box, Heading } from '@radix-ui/themes';
import './styles.css';

export function Header() {
	const { url } = useLocation();

	return (
		<Box>
			<Heading>Dev Blog/ Live Résumé</Heading>
			<NavigationMenu.Root orientation="horizontal" className="NavigationMenuRoot">
				<NavigationMenu.List className="NavigationMenuList">
					<NavigationMenu.Item>
							<NavigationMenu.Link  className="NavigationMenuLink" href="/">
								Home
							</NavigationMenu.Link>
					</NavigationMenu.Item>
					<NavigationMenu.Item>
							<NavigationMenu.Link  className="NavigationMenuLink" href="/about">
								About
							</NavigationMenu.Link>
					</NavigationMenu.Item>
					<NavigationMenu.Item>
							<NavigationMenu.Link  className="NavigationMenuLink" href="/articles">
								Articles
							</NavigationMenu.Link>
					</NavigationMenu.Item>

					<NavigationMenu.Indicator className="NavigationMenuIndicator">
						<div className="Arrow" />
					</NavigationMenu.Indicator>
				</NavigationMenu.List>

				<div className="ViewportPosition">
					<NavigationMenu.Viewport className="NavigationMenuViewport" />
				</div>
			</NavigationMenu.Root>
		</Box>
	);
}
